XaoS(6)

NAME
xaos - Fast interactive real-time fractal zoomer/morpher

SYNOPSIS
xaos [OPTIONS]

DESCRIPTION
XaoS is a fast portable real-time interactive fractal zoomer. It displays the Mandelbrot set (among other escape time fractals) and allows you to zoom smoothly into the fractal. Various coloring modes are provided for both the points inside and outside the selected set. In addition, switching between Julia and Mandelbrot fractal types and displaying planes is provided. The first version was a poorly written Mandelbrot viewer by Thomas later modified by Jan to support high frame-rate zooming. Other additions were later made including autopilot (for those of you without driver licenses), palette changing, PNG saving, and fractal inversion.

OPTIONS
 -delay number
                  Delay screen updates (milliseconds)
 -driver string
                  Select driver
 -list List available drivers. Then exit
 -config Print configuration. Then exit
 -speedtest Test speed of calculation loop. Then exit
 -threads number
                  Set number of threads (CPUs) to use
 -pipe string
                  Accept commands from pipe (use "-" for stdin)
 -maxframerate number
                  Maximal framerate (0 for unlimited - default) Screen size options:
  Knowledge of exact screen size makes random dot stereogram look better.
  Also is used for choosing correct view area
 -screenwidth f.point
                  exact size of screen in centimeters
 -screenheight f.point
                  exact size of screen in centimeters
  Use this option in case you use some kind of virtual screen
  or something similiar that confuses previous options
 -pixelwidth f.point
                  exact size of one pixel in centimeters
 -pixelheight f.point
                  exact size of one pixel in centimeters Animation rendering:
 -render string
                  Render animation into seqence of .png files
 -basename string
                  Name for .png files (XaoS will add 4 digit number and extension
 -size string
                  widthxheight
 -renderimage string
                  256 or truecolor
 -renderframerate f.point
                  framerate
 -antialiasing Perform antialiasing (slow, requires quite lot of memory)
 -alwaysrecalc Always recalculate whole image (slowes down rendering, increases quality)
 -rendervectors Render motion vectors (should be used for MPEG encoding)
 -iframedist number
                  Recommended distance between I frames in pat file (should be used for MPEG encoding) X11 driver options:
 -display string
                  Select display
 -size string
                  Select size of window (WIDTHxHEIGHT).
 -sync Generate sync signals before looking for events. This
            helps on old and buggy HP-UX X servers.
 -shared Use shared colormap on pseudocolor display.
 -usedefault Use default visual if autodetection causes troubles.
 -nomitshm Disable MITSHM extension.
 -fullscreen Enable fullscreen mode.
 -windowid number
                  Use selected window.
 -window-id number
                  Use selected window.
 -root Use root window. Command line options only
 -print_menus print menus specifications of all menus
 -print_menu string
                  print menu specification
 -xshl_print_menustring
                  print menu specification in xshl format
 -xshl_print_menus print all menu specifications in xshl format
 -print_dialog string
                  print dialog specification File
 -loadpos input_file
                  Load
 -savepos output_file
                  Save
 -record output_file
                  Record
 -play input_file
                  Replay
 -saveimg output_file
                  Save image
 -loadexample Load random example
 -savecfg Save configuration Fractal
 -perturbation real_number real_number
                  Perturbation
 -initstate Reset to defaults
 -julia on|off
                  Julia mode
 -view real_number real_number real_number real_number
                  View
 -angle real_number
                  Set angle
 -plane integer
                  Set plane
 -incoloring integer
                  Inside coloring mode
 -outcoloring integer
                  Outside coloring mode
 -intcoloring integer
                  Inside truecolor coloring mode
 -outtcoloring integer
                  Outside truecolor coloring mode
 -juliaseed real_number real_number
                  Julia seed Calculation
 -periodicity Periodicity checking
 -maxiter integer
                  Iterations
 -bailout real_number
                  Bailout
 -fastjulia Fast julia mode
 -range integer
                  Solid guessing range Filters
 -edge Edge detection
 -edge2 Edge detection2
 -threed Pseudo 3d
 -starfield Starfield
 -stereogram Random dot stereogram
 -interlace Interlace filter
 -blur Motionblur
 -emboss Emboss
 -palettef Palette emulator
 -anti Antialiasing
 -truecolor Truecolor emulator UI
 -letterspersec integer
                  Letters per second
 -autopilot Autopilot
 -inhibittextoutput VJ mode
 -recalculate Recalculate
 -interrupt Interrupt
 -speed real_number
                  Zooming speed
 -fixedstep Fixed step
 -nogui Disable XaoS's builtin GUI
 -status Status
 -ministatus Ministatus Misc
 -playstr string
                  Play string
 -text string
                  Display text
 -color white|black|red
                  Color
 -textposition left|center|right top|middle|bottom
                  Text position
 -message string
                  Message Help
 -help Help Formulae
 -mandel Mandelbrot
 -mandel3 Mandelbrot^3
 -mandel4 Mandelbrot^4
 -mandel5 Mandelbrot^5
 -mandel6 Mandelbrot^6
 -newton Newton
 -newton4 Newton^4
 -barnsley Barnsley1
 -barnsley2 Barnsley2
 -barnsley3 Barnsley3
 -octal Octal
 -phoenix Phoenix
 -magnet Magnet
 -magnet2 Magnet2 More formulae
 -trice Triceratops
 -catseye Catseye
 -mbar Mandelbar
 -mlambda Lambda
 -manowar Manowar
 -spider Spider
 -sier Sierpinski
 -carpet S.Carpet
 -koch Koch Snowflake
 -hornflake Spidron hornflake Palette
 -defpalette Default palette
 -randompalette Random palette
 -palette integer integer integer
                  Custom palette
 -cycling Color cycling
 -cyclingspeed integer
                  Color cycling speed
 -shiftpalette integer
                  Shift palette Dynamic resolution
 -fastmode zero|never|animation|new|allways
                  Dynamic resolution mode Rotation
 -rotationspeed real_number
                  Rotation speed
 -autorotate on|off
                  Automatic rotation
 -fastrotate on|off
                  Fast rotation mode Quit
 -quit Exit now

DETAILS
This manual page is obsolete and no longer maintained. Please read the full documentation running XaoS. You can start it typing 'xaos'. (Press 'h' 3 times to get into the help system.)

In addition, xaos --help should give a detailed list about the command line options.